html {
  scroll-behavior: smooth;
}

body {
  background-color: rgb(87, 81, 81, 0.5);
  color: rgb(0, 0, 0);
  font-size: 18pt;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  background-image: url("https://lp-cms-production.imgix.net/2019-06/52d3530a16e8d1418f8da631a391cb68-ramparts.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

a:link {
  text-decoration: none;
}

h1,
h2,
h3 {
  margin-bottom: 1rem;
  line-height: 1.1;
}

h1 {
  font-size: 4rem;
}

h2 {
  font-size: 4rem;
}

h3 {
  font-size: 1.2rem;
  font-weight: 500;
}

p {
  margin-top: 0;
}

@media screen and (min-width: 1024px) {
  body {
    font-size: 1.8rem;
  }

  h1 {
    font-size: 4rem;
  }

  h2 {
    font-size: 3rem;
  }

  h3 {
    font-size: 2.4rem;
  }
}

/* container */

.container {
  margin: 0 auto;
}

.content {
  opacity: 1;
  background: rgba(255, 255, 255, 0.4);
  max-width: 1000px;
  margin: auto;
  margin-top: 40px;
  border: 1px solid white;
}

@media screen and (max-width: 600px) {
  .content {
    max-width: 590px;
    margin: auto;
    margin-top: 40px;
  }
}

.ibizabeach {
  width: 450px;
  margin: 20px;
  height: 280px;
  transition: 1s ease;
}

.ibizabeach:hover {
  /* opacity: 0.9; */
  width: 470px;
  height: 300px;
  transition: 1s ease;
  box-shadow: 30px 50px 100px rgb(0, 0, 0);
}

@media screen and (max-width: 600px) {
  .ibizabeach {
    width: 167px;
    margin: 20px;
    height: 93px;
    transition: 1s ease;
  }

  .ibizabeach:hover {
    /* opacity: 0.9; */
    width: 170px;
    height: 96px;
    transition: 1s ease;
    box-shadow: 30px 50px 100px rgb(0, 0, 0);
  }
}

.ibizabeach-left {
  background-image: url(https://zone1-ibizaspotlightsl.netdna-ssl.com/sites/default/files/styles/auto_1500_width/public/article-images/124541/slideshow-1576662714.jpg);
  background-position: center;
  background-size: cover;
  margin: 20px;
  width: 450px;
  height: 280px;
  transition: 1s ease;
  opacity: 1;

}

.ibizabeach-left:hover {
  /* opacity: 0.9; */
  width:470px;
  height: 300px;
  transition: 1s ease;
  box-shadow: 30px 50px 100px rgb(0, 0, 0);
}

.ibizabeach-left:hover .ibizabeach-left-text {
  opacity: 0.7;
}


.ibizabeach-left-text {
  opacity: 0;
  background-color: white;
  font-size: 1.2rem;
  width: 90%;
  margin: 0 auto;
  margin-top: 16%;
  transition: 1s ease;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .ibizabeach-left-text {
    font-size: 0.9rem;
  }
}


.ibizabeach-right {
  background-image: url(https://www.flytap.com/-/media/Flytap/new-tap-pages/destinations/europe/spain/ibiza/destinations-ibiza-banner-mobile-1024x553.png);
  background-position: center;
  background-size: cover;
  margin: 20px;
  width: 450px;
  height: 280px;
  transition: 1s ease;
  opacity: 1;

}

.ibizabeach-right:hover {
  /* opacity: 0.9; */
  width:470px;
  height: 300px;
  transition: 1s ease;
  box-shadow: 30px 50px 100px rgb(0, 0, 0);
}

.ibizabeach-right:hover .ibizabeach-right-text {
  opacity: 0.7;
}


.ibizabeach-right-text {
  opacity: 0;
  background-color: white;
  font-size: 1.1rem;
  width: 90%;
  margin: 0 auto;
  margin-top: 14%;
  transition: 1s ease;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .ibizabeach-right-text {
    font-size: 0.9rem;
  }
}





#imagecontainer {
  display: flex;
  justify-content: center;
  padding: 100px;
  padding-top: 1px;
}

@media screen and (max-width: 600px) {
  #imagecontainer {
    padding: 15px;
   
  }
}

.menucontainer {
  display: flex;
  justify-content: center;
  padding: 100px;
  padding-top: 10px;
}

@media screen and (max-width: 600px) {
  .menucontainer {
    padding: 15px;
  }
}

@media screen and (max-width: 600px) {
  .menucontainer img {
    width: 120px;
  }
}

@media screen and (min-width: 601px) {
  .menucontainer img {
    width:210px;
    height: 130px;
    margin: 20px;
    transition: 1s ease;
    /* display: block; */
  }

  .menucontainer img:hover {
    opacity: 1;
    width: 214px;
    height: 134px;
    transition: 1s ease;
    box-shadow: 30px 50px 100px rgb(0, 0, 0);
  }
}

.mapcontainer {
  margin: 0 auto;
}

.mapouter {
  position: relative;
  text-align: right;
  height: 423px;
  width: 718px;
  /* height: 100%;
width: 100%; */
}

@media screen and (max-width: 600px) {
  .mapouter {
    position: relative;
    text-align: right;
    height: 80%;
    width: 80%;
    /* height: 100%;
  width: 100%; */
  }
}


.startpicture {
  width: 900px;
  display: flex;
  justify-content: center;
  margin: 0 auto;
}

.startpicture img {
  border: 2px solid rgb(23, 98, 141);
  width: 900px;
  height: 280px;
  margin-top: 40px;
}

@media screen and (max-width: 600px) {
  .startpicture {
    width: 350px;
    display: flex;
    justify-content: center;
    margin: 0 auto;
  }

  .startpicture img {
    border: 2px solid rgb(23, 98, 141);
    width: 350px;
    height: 150px;
    margin-top: 40px;
  }
}

.maintext {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin-top: 15px;
}

.introtext {
  width: 85%;
  font-size: 1.3rem;
  padding-bottom: 2rem;
  padding-top: 0.8rem;
  text-align: center;
}

.infotext {
  width: 85%;
  font-size: 1.3rem;
  padding-bottom: 0rem;
  padding-top: 30px;
  text-align: center;
  margin: 0 auto;
}

.btn {
  background: #f0f6fa;
  background-image: -webkit-linear-gradient(top, #f0f6fa, #2980b9);
  background-image: -moz-linear-gradient(top, #f0f6fa, #2980b9);
  background-image: -ms-linear-gradient(top, #f0f6fa, #2980b9);
  background-image: -o-linear-gradient(top, #f0f6fa, #2980b9);
  background-image: linear-gradient(to bottom, #f0f6fa, #2980b9);
  -webkit-border-radius: 60;
  -moz-border-radius: 60;
  border-radius: 60px;
  text-shadow: 4px 3px 3px #000000;
  font-family: Arial;
  color: #ffffff;
  font-size: 20px;
  padding: 10px 20px 10px 20px;
  text-decoration: none;
}

.btn:hover {
  background: #3cb0fd;
  text-decoration: none;
}

.menucontainer__fade {
  transition: 1s;
}

.brands {
  display: flex;
  justify-content: center;
  padding: 10px;
  align-items: center;
  /* border: 1px solid rgb(141, 141, 141);
  background-color: rgb(228, 228, 228);
  padding-bottom:  */
}

.brands img {
  width: 200px;
  height: 200px;
  padding: 10px;
}

.brands img:hover {
  width: 210px;
  height: 210px;
  transition: 1s ease;
  box-shadow: 30px 50px 100px rgb(0, 0, 0);
}

.brandstext {
  width: 85%;
  font-size: 1.3rem;
  padding-bottom: 4rem;
  padding-top: 0.8rem;
  text-align: center;
  margin: 0 auto;
  
}

.nav {
  background: black;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  padding: 0 1rem;
}

.nav__list {
  width: 100%;
  margin: 0;
}

.nav__item {
  padding: 0.5rem 2rem;
  border-bottom: 1px solid #222;
}

.nav__item > a {
  color: #d2d0db;
  transition: color 0.3s;
}

.nav__item > a:hover {
  color: #fff;
}

.nav__toggler {
  opacity: 0.5;
  transition: box-shadow 0.15s;
  cursor: pointer;
}

.nav .collapsible--expanded .nav__toggler {
  opacity: 1;
  box-shadow: 0 0 0 3px #666;
  border-radius: 5px;
}

.nav__brand {
  transform: translateY(5px);
}

@media screen and (min-width: 768px) {
  .nav__toggler {
    display: none;
  }

  .nav__list {
    width: auto;
    display: flex;
    font-size: 1.6rem;
    max-height: 100%;
    opacity: 1;
  }

  .nav__item {
    border: 0;
  }
}

/* grids */

.grid {
  display: grid;
}

@media screen and (min-width: 768px) {
  .grid--1x2 {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (min-width: 1024px) {
  .grid--1x3 {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* gallery */

*{margin: 0; padding: 0;}
body{background-color: black;}
.container {

	width: 100%;
	height: 100%;
}
.trans
{
	transition: all 1s ease;
	-moz-transition: all 1s ease;
	-ms-transition: all 1s ease;
	-o-transition: all 1s ease;
	-webkit-transition: all 1s ease;
}
.top
{
	display: flex;
	width: 80vw;
	height: 80vh;
	margin-top: 10vh;
	margin-left: auto;
	margin-right: auto;
}
.top ul
{
	list-style: none;
	width: 100%;
	height: 100%;
	z-index: 1;
	box-sizing: border-box;
}
.top ul li
{
	position: relative;
	float: left;
	width: 25%;
	height: 25%;
	overflow: hidden;
}

.top ul li::before
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #000;
	content: '';
	color: white;
	opacity: 0.4;
	text-align: center;
	box-sizing: border-box;
	pointer-events: none;
	transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	-webkit-transition: all 0.5s ease;
}
.top ul li:hover::before
{
	opacity: 0;
	background-color: rgba(0,0,0,0.90);
}
.top ul li img
{
	width: 100%;
  height: auto;
	overflow: hidden;
}
.lightbox
{
	position: fixed;
	width: 100%;
	height: 100%;
	text-align: center;
	top: 0;
	left: 0;
	background-color: rgba(0,0,0,0.75);
	z-index: 999;
	opacity: 0;
	pointer-events: none;
}
.lightbox img
{
	max-width: 90%;
	max-height: 80%;
	position: relative;
	top: -100%;
	/* Transition */
	transition: all 1s ease;
	-moz-transition: all 1s ease;
	-ms-transition: all 1s ease;
	-o-transition: all 1s ease;
	-webkit-transition: all 1s ease;
}
.lightbox:target
{
	outline: none;
	top: 0;
	opacity: 1;
	pointer-events: auto;
	transition: all 1.2s ease;
	-moz-transition: all 1.2s ease;
	-ms-transition: all 1.2s ease;
	-o-transition: all 1.2s ease;
	-webkit-transition: all 1.2s ease;
}
.lightbox:target img
{
	top: 0;
	top: 50%;
	transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
}


/* footer */

.footer {
  background: #232323;
}

.footer a {
  color: rgb(170, 169, 169);
  transition: color 0.3s;
}

.footer a:hover {
  color: #fff;
}

.footer__section {
  padding: 2rem;
  border-bottom: 1px solid #3d3d3d;
}

.footer__section .list {
  margin: 0;
}

.footer__heading {
  text-transform: uppercase;
  font-weight: 600;
}

.footer__brand {
  margin-top: 5rem;
  text-align: center;
}

.footer__brand img {
  /* TODO: Consider refactoring this and applying it to all images. */
  width: 100%;
  max-width: 230px;
}

.footer__copyright {
  font-size: 2.1rem;
  color: rgb(255, 255, 255);
  opacity: 0.3;
}

@media screen and (min-width: 768px) {
  .footer__sections {
    grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  }

  .footer .collapsible__chevron {
    display: none;
  }

  .footer .collapsible__content {
    opacity: 1;
    max-height: 100%;
  }

  .footer__brand {
    order: -1;
    margin-top: 4rem;
  }

  .footer__copyright {
    font-size: 1.5rem;
  }

  .footer__section {
    border: 0;
  }

  .footer__heading {
    font-size: 1.6rem;
  }
}

body::-webkit-scrollbar {
  width: 0.8em;
}

body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

body::-webkit-scrollbar-thumb {
  background-color: rgb(63, 63, 63);
}
